/**
 *  @class ApClient
 */
'use strict'

const { RFuncClient } = require('rfunc-client')
const { spinalcase } = require('stringcase')

/** @lends ApClient */
class ApClient extends RFuncClient {
  /**
   * Get scoped client
   */
  of (scope) {
    const s = this
    let pathname = spinalcase(scope.replace(/^@/, ''))
    return new ApClient(s.resolve('scoped', pathname))
  }
}

module.exports = ApClient
